Bug 537585 - Review Request: picocontainer - Dependency-injection container
Summary: Review Request: picocontainer - Dependency-injection container
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: F13FeatureIDEA
Keywords:
: 252119 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-14 18:15 UTC by Michal Ingeli
Modified: 2009-12-24 20:42 UTC (History)
4 users (show)

Fixed In Version: 1.3-6.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-24 20:42:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Michal Ingeli 2009-11-14 18:15:25 UTC
Spec URL: http://v3.sk/~xyzz/rpm/intellij-idea/picocontainer.spec
SRPM URL: http://v3.sk/~xyzz/rpm/intellij-idea/picocontainer-1.3-5.fc11.src.rpm

Description:
Lightweight and highly embeddable inversion of controll container for 
components that honour dependency injection.

Comment 1 Michal Ingeli 2009-11-14 18:17:22 UTC
Builds in mock and koji [1], rpmlint quiet.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=1806166

Comment 2 Lubomir Rintel 2009-11-14 21:39:41 UTC
1.) BuildRoot, please fix it up according to guidelines.

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

2.) No useless comments please

#setup -q -c -n %{name}-%{version}

3.) Please don't do the jpackage javadoc magic:

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%ghost %doc %{_javadocdir}/%{name}

Comment 3 Michal Ingeli 2009-11-15 02:22:28 UTC
(In reply to comment #2)
> 1.) BuildRoot, please fix it up according to guidelines.
> 
> BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Looking at [1], buildroot seems to be rather valid and according to guidelines.

> 2.) No useless comments please
> 
> #setup -q -c -n %{name}-%{version}

Right, removed that one.

> 3.) Please don't do the jpackage javadoc magic:
> 
> ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
> %ghost %doc %{_javadocdir}/%{name}  

Removed.

Also decided to removed -target 1.5 and -encoding param for javac as it is may be better not force thing. And forgotten -verbose.

Spec URL: http://v3.sk/~xyzz/rpm/intellij-idea/picocontainer.spec
SRPM URL: http://v3.sk/~xyzz/rpm/intellij-idea/picocontainer-1.3-6.fc11.src.rpm

[1] http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

Comment 4 Michal Ingeli 2009-11-15 10:55:30 UTC
*** Bug 252119 has been marked as a duplicate of this bug. ***

Comment 5 Lubomir Rintel 2009-11-15 11:17:32 UTC
Looks good now.
APPROVED.

Comment 6 Michal Ingeli 2009-11-15 12:19:22 UTC
New Package CVS Request
=======================
Package Name: picocontainer
Short Description: Dependency-injection container
Owners: ksyz
Branches: F-11 F-12 EL-5
InitialCC:

Comment 7 Jason Tibbitts 2009-11-16 17:44:52 UTC
CVS done.

Comment 8 Fedora Update System 2009-12-06 23:59:13 UTC
picocontainer-1.3-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/picocontainer-1.3-6.fc12

Comment 9 Fedora Update System 2009-12-08 08:04:49 UTC
picocontainer-1.3-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update picocontainer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12926

Comment 10 Fedora Update System 2009-12-24 20:42:40 UTC
picocontainer-1.3-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.